#!/usr/bin/env python
import sys
import json
from pathlib import Path

data = json.loads(Path(sys.argv[1]).read_text())

out = { d['id']: d for d in data }

Path(sys.argv[1].replace('.json', '-indexed.json')).write_text(json.dumps(out, ensure_ascii=False, indent=4))
